org.apache.ignite.internal.jdbc

## Class JdbcResultSet

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

Deprecated.
Using Ignite client node based JDBC driver is preferable. See documentation of `IgniteJdbcDriver` for details.

    @Deprecated
    public class JdbcResultSet
    extends Object
    implements ResultSet

JDBC result set implementation.

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

Methods
`boolean` `absolute(int row)` Deprecated.
`void` `afterLast()` Deprecated.
`void` `beforeFirst()` Deprecated.
`void` `cancelRowUpdates()` Deprecated.
`void` `clearWarnings()` Deprecated.
`void` `close()` Deprecated.
`void` `deleteRow()` Deprecated.
`int` `findColumn(String colLb)` Deprecated.
`boolean` `first()` Deprecated.
`Array` `getArray(int colIdx)` Deprecated.
`Array` `getArray(String colLb)` Deprecated.
`InputStream` `getAsciiStream(int colIdx)` Deprecated.
`InputStream` `getAsciiStream(String colLb)` Deprecated.
`BigDecimal` `getBigDecimal(int colIdx)` Deprecated.
`BigDecimal` `getBigDecimal(int colIdx, int scale)` Deprecated.
`BigDecimal` `getBigDecimal(String colLb)` Deprecated.
`BigDecimal` `getBigDecimal(String colLb, int scale)` Deprecated.
`InputStream` `getBinaryStream(int colIdx)` Deprecated.
`InputStream` `getBinaryStream(String colLb)` Deprecated.
`Blob` `getBlob(int colIdx)` Deprecated.
`Blob` `getBlob(String colLb)` Deprecated.
`boolean` `getBoolean(int colIdx)` Deprecated.
`boolean` `getBoolean(String colLb)` Deprecated.
`byte` `getByte(int colIdx)` Deprecated.
`byte` `getByte(String colLb)` Deprecated.
`byte[]` `getBytes(int colIdx)` Deprecated.
`byte[]` `getBytes(String colLb)` Deprecated.
`Reader` `getCharacterStream(int colIdx)` Deprecated.
`Reader` `getCharacterStream(String colLb)` Deprecated.
`Clob` `getClob(int colIdx)` Deprecated.
`Clob` `getClob(String colLb)` Deprecated.
`int` `getConcurrency()` Deprecated.
`String` `getCursorName()` Deprecated.
`Date` `getDate(int colIdx)` Deprecated.
`Date` `getDate(int colIdx, Calendar cal)` Deprecated.
`Date` `getDate(String colLb)` Deprecated.
`Date` `getDate(String colLb, Calendar cal)` Deprecated.
`double` `getDouble(int colIdx)` Deprecated.
`double` `getDouble(String colLb)` Deprecated.
`int` `getFetchDirection()` Deprecated.
`int` `getFetchSize()` Deprecated.
`float` `getFloat(int colIdx)` Deprecated.
`float` `getFloat(String colLb)` Deprecated.
`int` `getHoldability()` Deprecated.
`int` `getInt(int colIdx)` Deprecated.
`int` `getInt(String colLb)` Deprecated.
`long` `getLong(int colIdx)` Deprecated.
`long` `getLong(String colLb)` Deprecated.
`ResultSetMetaData` `getMetaData()` Deprecated.
`Reader` `getNCharacterStream(int colIdx)` Deprecated.
`Reader` `getNCharacterStream(String colLb)` Deprecated.
`NClob` `getNClob(int colIdx)` Deprecated.
`NClob` `getNClob(String colLb)` Deprecated.
`String` `getNString(int colIdx)` Deprecated.
`String` `getNString(String colLb)` Deprecated.
`Object` `getObject(int colIdx)` Deprecated.
`<T> T` `getObject(int colIdx, Class<T> type)` Deprecated.
`Object` `getObject(int colIdx, Map<String,Class<?>> map)` Deprecated.
`Object` `getObject(String colLb)` Deprecated.
`<T> T` `getObject(String colLb, Class<T> type)` Deprecated.
`Object` `getObject(String colLb, Map<String,Class<?>> map)` Deprecated.
`Ref` `getRef(int colIdx)` Deprecated.
`Ref` `getRef(String colLb)` Deprecated.
`int` `getRow()` Deprecated.
`RowId` `getRowId(int colIdx)` Deprecated.
`RowId` `getRowId(String colLb)` Deprecated.
`short` `getShort(int colIdx)` Deprecated.
`short` `getShort(String colLb)` Deprecated.
`SQLXML` `getSQLXML(int colIdx)` Deprecated.
`SQLXML` `getSQLXML(String colLb)` Deprecated.
`Statement` `getStatement()` Deprecated.
`String` `getString(int colIdx)` Deprecated.
`String` `getString(String colLb)` Deprecated.
`Time` `getTime(int colIdx)` Deprecated.
`Time` `getTime(int colIdx, Calendar cal)` Deprecated.
`Time` `getTime(String colLb)` Deprecated.
`Time` `getTime(String colLb, Calendar cal)` Deprecated.
`Timestamp` `getTimestamp(int colIdx)` Deprecated.
`Timestamp` `getTimestamp(int colIdx, Calendar cal)` Deprecated.
`Timestamp` `getTimestamp(String colLb)` Deprecated.
`Timestamp` `getTimestamp(String colLb, Calendar cal)` Deprecated.
`int` `getType()` Deprecated.
`InputStream` `getUnicodeStream(int colIdx)` Deprecated.
`InputStream` `getUnicodeStream(String colLb)` Deprecated.
`URL` `getURL(int colIdx)` Deprecated.
`URL` `getURL(String colLb)` Deprecated.
`SQLWarning` `getWarnings()` Deprecated.
`void` `insertRow()` Deprecated.
`boolean` `isAfterLast()` Deprecated.
`boolean` `isBeforeFirst()` Deprecated.
`boolean` `isClosed()` Deprecated.
`boolean` `isFirst()` Deprecated.
`boolean` `isLast()` Deprecated.
`boolean` `isWrapperFor(Class<?> iface)` Deprecated.
`boolean` `last()` Deprecated.
`void` `moveToCurrentRow()` Deprecated.
`void` `moveToInsertRow()` Deprecated.
`boolean` `next()` Deprecated.
`boolean` `previous()` Deprecated.
`void` `refreshRow()` Deprecated.
`boolean` `relative(int rows)` Deprecated.
`boolean` `rowDeleted()` Deprecated.
`boolean` `rowInserted()` Deprecated.
`boolean` `rowUpdated()` Deprecated.
`void` `setFetchDirection(int direction)` Deprecated.
`void` `setFetchSize(int fetchSize)` Deprecated.
`<T> T` `unwrap(Class<T> iface)` Deprecated.
`void` `updateArray(int colIdx, Array x)` Deprecated.
`void` `updateArray(String colLb, Array x)` Deprecated.
`void` `updateAsciiStream(int colIdx, InputStream x)` Deprecated.
`void` `updateAsciiStream(int colIdx, InputStream x, int len)` Deprecated.
`void` `updateAsciiStream(int colIdx, InputStream x, long len)` Deprecated.
`void` `updateAsciiStream(String colLb, InputStream x)` Deprecated.
`void` `updateAsciiStream(String colLb, InputStream x, int len)` Deprecated.
`void` `updateAsciiStream(String colLb, InputStream x, long len)` Deprecated.
`void` `updateBigDecimal(int colIdx, BigDecimal x)` Deprecated.
`void` `updateBigDecimal(String colLb, BigDecimal x)` Deprecated.
`void` `updateBinaryStream(int colIdx, InputStream x)` Deprecated.
`void` `updateBinaryStream(int colIdx, InputStream x, int len)` Deprecated.
`void` `updateBinaryStream(int colIdx, InputStream x, long len)` Deprecated.
`void` `updateBinaryStream(String colLb, InputStream x)` Deprecated.
`void` `updateBinaryStream(String colLb, InputStream x, int len)` Deprecated.
`void` `updateBinaryStream(String colLb, InputStream x, long len)` Deprecated.
`void` `updateBlob(int colIdx, Blob x)` Deprecated.
`void` `updateBlob(int colIdx, InputStream inputStream)` Deprecated.
`void` `updateBlob(int colIdx, InputStream inputStream, long len)` Deprecated.
`void` `updateBlob(String colLb, Blob x)` Deprecated.
`void` `updateBlob(String colLb, InputStream inputStream)` Deprecated.
`void` `updateBlob(String colLb, InputStream inputStream, long len)` Deprecated.
`void` `updateBoolean(int colIdx, boolean x)` Deprecated.
`void` `updateBoolean(String colLb, boolean x)` Deprecated.
`void` `updateByte(int colIdx, byte x)` Deprecated.
`void` `updateByte(String colLb, byte x)` Deprecated.
`void` `updateBytes(int colIdx, byte[] x)` Deprecated.
`void` `updateBytes(String colLb, byte[] x)` Deprecated.
`void` `updateCharacterStream(int colIdx, Reader x)` Deprecated.
`void` `updateCharacterStream(int colIdx, Reader x, int len)` Deprecated.
`void` `updateCharacterStream(int colIdx, Reader x, long len)` Deprecated.
`void` `updateCharacterStream(String colLb, Reader reader)` Deprecated.
`void` `updateCharacterStream(String colLb, Reader reader, int len)` Deprecated.
`void` `updateCharacterStream(String colLb, Reader reader, long len)` Deprecated.
`void` `updateClob(int colIdx, Clob x)` Deprecated.
`void` `updateClob(int colIdx, Reader reader)` Deprecated.
`void` `updateClob(int colIdx, Reader reader, long len)` Deprecated.
`void` `updateClob(String colLb, Clob x)` Deprecated.
`void` `updateClob(String colLb, Reader reader)` Deprecated.
`void` `updateClob(String colLb, Reader reader, long len)` Deprecated.
`void` `updateDate(int colIdx, Date x)` Deprecated.
`void` `updateDate(String colLb, Date x)` Deprecated.
`void` `updateDouble(int colIdx, double x)` Deprecated.
`void` `updateDouble(String colLb, double x)` Deprecated.
`void` `updateFloat(int colIdx, float x)` Deprecated.
`void` `updateFloat(String colLb, float x)` Deprecated.
`void` `updateInt(int colIdx, int x)` Deprecated.
`void` `updateInt(String colLb, int x)` Deprecated.
`void` `updateLong(int colIdx, long x)` Deprecated.
`void` `updateLong(String colLb, long x)` Deprecated.
`void` `updateNCharacterStream(int colIdx, Reader x)` Deprecated.
`void` `updateNCharacterStream(int colIdx, Reader x, long len)` Deprecated.
`void` `updateNCharacterStream(String colLb, Reader reader)` Deprecated.
`void` `updateNCharacterStream(String colLb, Reader reader, long len)` Deprecated.
`void` `updateNClob(int colIdx, NClob nClob)` Deprecated.
`void` `updateNClob(int colIdx, Reader reader)` Deprecated.
`void` `updateNClob(int colIdx, Reader reader, long len)` Deprecated.
`void` `updateNClob(String colLb, NClob nClob)` Deprecated.
`void` `updateNClob(String colLb, Reader reader)` Deprecated.
`void` `updateNClob(String colLb, Reader reader, long len)` Deprecated.
`void` `updateNString(int colIdx, String nStr)` Deprecated.
`void` `updateNString(String colLb, String nStr)` Deprecated.
`void` `updateNull(int colIdx)` Deprecated.
`void` `updateNull(String colLb)` Deprecated.
`void` `updateObject(int colIdx, Object x)` Deprecated.
`void` `updateObject(int colIdx, Object x, int scaleOrLen)` Deprecated.
`void` `updateObject(String colLb, Object x)` Deprecated.
`void` `updateObject(String colLb, Object x, int scaleOrLen)` Deprecated.
`void` `updateRef(int colIdx, Ref x)` Deprecated.
`void` `updateRef(String colLb, Ref x)` Deprecated.
`void` `updateRow()` Deprecated.
`void` `updateRowId(int colIdx, RowId x)` Deprecated.
`void` `updateRowId(String colLb, RowId x)` Deprecated.
`void` `updateShort(int colIdx, short x)` Deprecated.
`void` `updateShort(String colLb, short x)` Deprecated.
`void` `updateSQLXML(int colIdx, SQLXML xmlObj)` Deprecated.
`void` `updateSQLXML(String colLb, SQLXML xmlObj)` Deprecated.
`void` `updateString(int colIdx, String x)` Deprecated.
`void` `updateString(String colLb, String x)` Deprecated.
`void` `updateTime(int colIdx, Time x)` Deprecated.
`void` `updateTime(String colLb, Time x)` Deprecated.
`void` `updateTimestamp(int colIdx, Timestamp x)` Deprecated.
`void` `updateTimestamp(String colLb, Timestamp x)` Deprecated.
`boolean` `wasNull()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### next

    public boolean next()
                 throws SQLException

Deprecated.

Specified by:
  `next` in interface `ResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Deprecated.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Deprecated.

Specified by:
  `wasNull` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(int colIdx)
                     throws SQLException

Deprecated.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int colIdx)
                       throws SQLException

Deprecated.

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int colIdx)
                   throws SQLException

Deprecated.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(int colIdx)
               throws SQLException

Deprecated.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int colIdx)
                   throws SQLException

Deprecated.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int colIdx)
                     throws SQLException

Deprecated.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int colIdx,
                           int scale)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int colIdx)
                    throws SQLException

Deprecated.

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int colIdx)
                           throws SQLException

Deprecated.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream(int colIdx)
                               throws SQLException

Deprecated.

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream(int colIdx)
                                 throws SQLException

Deprecated.

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream(int colIdx)
                                throws SQLException

Deprecated.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(String colLb)
                     throws SQLException

Deprecated.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(String colLb)
                       throws SQLException

Deprecated.

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(String colLb)
               throws SQLException

Deprecated.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String colLb)
                     throws SQLException

Deprecated.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String colLb,
                           int scale)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(String colLb)
                    throws SQLException

Deprecated.

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String colLb)
                           throws SQLException

Deprecated.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream(String colLb)
                               throws SQLException

Deprecated.

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream(String colLb)
                                 throws SQLException

Deprecated.

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream(String colLb)
                                throws SQLException

Deprecated.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Deprecated.

Specified by:
  `getWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Deprecated.

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### getCursorName

    public String getCursorName()
                         throws SQLException

Deprecated.

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Deprecated.

Specified by:
  `getMetaData` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int colIdx)
                     throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String colLb)
                     throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### findColumn

    public int findColumn(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `findColumn` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(int colIdx)
                              throws SQLException

Deprecated.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(String colLb)
                              throws SQLException

Deprecated.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int colIdx)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String colLb)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Deprecated.

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Deprecated.

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Deprecated.

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Deprecated.

Specified by:
  `isLast` in interface `ResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Deprecated.

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Deprecated.

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Deprecated.

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Deprecated.

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Deprecated.

Specified by:
  `getRow` in interface `ResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SQLException

Deprecated.

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative(int rows)
                     throws SQLException

Deprecated.

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Deprecated.

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

Deprecated.

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Deprecated.

Specified by:
  `getFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize(int fetchSize)
                      throws SQLException

Deprecated.

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws SQLException

Deprecated.

Specified by:
  `getFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Deprecated.

Specified by:
  `getType` in interface `ResultSet`
Throws:
  `SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws SQLException

Deprecated.

Specified by:
  `getConcurrency` in interface `ResultSet`
Throws:
  `SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

Deprecated.

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws SQLException

Deprecated.

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

Deprecated.

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull(int colIdx)
                    throws SQLException

Deprecated.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean(int colIdx,
                     boolean x)
                       throws SQLException

Deprecated.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte(int colIdx,
                  byte x)
                    throws SQLException

Deprecated.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort(int colIdx,
                   short x)
                     throws SQLException

Deprecated.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt(int colIdx,
                 int x)
                   throws SQLException

Deprecated.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong(int colIdx,
                  long x)
                    throws SQLException

Deprecated.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat(int colIdx,
                   float x)
                     throws SQLException

Deprecated.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble(int colIdx,
                    double x)
                      throws SQLException

Deprecated.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int colIdx,
                        BigDecimal x)
                          throws SQLException

Deprecated.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString(int colIdx,
                    String x)
                      throws SQLException

Deprecated.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes(int colIdx,
                   byte[] x)
                     throws SQLException

Deprecated.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate(int colIdx,
                  Date x)
                    throws SQLException

Deprecated.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime(int colIdx,
                  Time x)
                    throws SQLException

Deprecated.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp(int colIdx,
                       Timestamp x)
                         throws SQLException

Deprecated.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int colIdx,
                         InputStream x,
                         int len)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int colIdx,
                          InputStream x,
                          int len)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int colIdx,
                             Reader x,
                             int len)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(int colIdx,
                    Object x,
                    int scaleOrLen)
                      throws SQLException

Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(int colIdx,
                    Object x)
                      throws SQLException

Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull(String colLb)
                    throws SQLException

Deprecated.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean(String colLb,
                     boolean x)
                       throws SQLException

Deprecated.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte(String colLb,
                  byte x)
                    throws SQLException

Deprecated.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort(String colLb,
                   short x)
                     throws SQLException

Deprecated.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt(String colLb,
                 int x)
                   throws SQLException

Deprecated.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong(String colLb,
                  long x)
                    throws SQLException

Deprecated.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat(String colLb,
                   float x)
                     throws SQLException

Deprecated.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble(String colLb,
                    double x)
                      throws SQLException

Deprecated.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal(String colLb,
                        BigDecimal x)
                          throws SQLException

Deprecated.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString(String colLb,
                    String x)
                      throws SQLException

Deprecated.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes(String colLb,
                   byte[] x)
                     throws SQLException

Deprecated.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate(String colLb,
                  Date x)
                    throws SQLException

Deprecated.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime(String colLb,
                  Time x)
                    throws SQLException

Deprecated.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp(String colLb,
                       Timestamp x)
                         throws SQLException

Deprecated.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String colLb,
                         InputStream x,
                         int len)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String colLb,
                          InputStream x,
                          int len)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String colLb,
                             Reader reader,
                             int len)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(String colLb,
                    Object x,
                    int scaleOrLen)
                      throws SQLException

Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(String colLb,
                    Object x)
                      throws SQLException

Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### insertRow

    public void insertRow()
                   throws SQLException

Deprecated.

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRow

    public void updateRow()
                   throws SQLException

Deprecated.

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

#### deleteRow

    public void deleteRow()
                   throws SQLException

Deprecated.

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

#### refreshRow

    public void refreshRow()
                    throws SQLException

Deprecated.

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

Deprecated.

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

Deprecated.

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

Deprecated.

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Deprecated.

Specified by:
  `getStatement` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int colIdx,
                   Map<String,Class<?>> map)
                     throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(int colIdx)
               throws SQLException

Deprecated.

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(int colIdx)
                 throws SQLException

Deprecated.

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray(int colIdx)
                   throws SQLException

Deprecated.

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String colLb,
                   Map<String,Class<?>> map)
                     throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(String colLb)
               throws SQLException

Deprecated.

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(String colLb)
                 throws SQLException

Deprecated.

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int colIdx,
               Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String colLb,
               Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int colIdx,
               Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String colLb,
               Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int colIdx,
                         Calendar cal)
                           throws SQLException

Deprecated.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String colLb,
                         Calendar cal)
                           throws SQLException

Deprecated.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL(int colIdx)
               throws SQLException

Deprecated.

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL(String colLb)
               throws SQLException

Deprecated.

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef(int colIdx,
                 Ref x)
                   throws SQLException

Deprecated.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef(String colLb,
                 Ref x)
                   throws SQLException

Deprecated.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int colIdx,
                  Blob x)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String colLb,
                  Blob x)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int colIdx,
                  Clob x)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String colLb,
                  Clob x)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray(int colIdx,
                   Array x)
                     throws SQLException

Deprecated.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray(String colLb,
                   Array x)
                     throws SQLException

Deprecated.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(int colIdx)
                   throws SQLException

Deprecated.

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(int colIdx,
                   RowId x)
                     throws SQLException

Deprecated.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(String colLb,
                   RowId x)
                     throws SQLException

Deprecated.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getHoldability

    public int getHoldability()
                       throws SQLException

Deprecated.

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Deprecated.

Specified by:
  `isClosed` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString(int colIdx,
                     String nStr)
                       throws SQLException

Deprecated.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString(String colLb,
                     String nStr)
                       throws SQLException

Deprecated.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int colIdx,
                   NClob nClob)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String colLb,
                   NClob nClob)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int colIdx)
                   throws SQLException

Deprecated.

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String colLb)
                   throws SQLException

Deprecated.

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int colIdx)
                     throws SQLException

Deprecated.

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String colLb)
                     throws SQLException

Deprecated.

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(int colIdx,
                    SQLXML xmlObj)
                      throws SQLException

Deprecated.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(String colLb,
                    SQLXML xmlObj)
                      throws SQLException

Deprecated.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(int colIdx)
                      throws SQLException

Deprecated.

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(String colLb)
                      throws SQLException

Deprecated.

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(int colIdx)
                               throws SQLException

Deprecated.

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String colLb)
                               throws SQLException

Deprecated.

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int colIdx,
                              Reader x,
                              long len)
                                throws SQLException

Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String colLb,
                              Reader reader,
                              long len)
                                throws SQLException

Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int colIdx,
                         InputStream x,
                         long len)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int colIdx,
                          InputStream x,
                          long len)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int colIdx,
                             Reader x,
                             long len)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String colLb,
                         InputStream x,
                         long len)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String colLb,
                          InputStream x,
                          long len)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String colLb,
                             Reader reader,
                             long len)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int colIdx,
                  InputStream inputStream,
                  long len)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String colLb,
                  InputStream inputStream,
                  long len)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int colIdx,
                  Reader reader,
                  long len)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String colLb,
                  Reader reader,
                  long len)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int colIdx,
                   Reader reader,
                   long len)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String colLb,
                   Reader reader,
                   long len)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int colIdx,
                              Reader x)
                                throws SQLException

Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String colLb,
                              Reader reader)
                                throws SQLException

Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int colIdx,
                         InputStream x)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int colIdx,
                          InputStream x)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int colIdx,
                             Reader x)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String colLb,
                         InputStream x)
                           throws SQLException

Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String colLb,
                          InputStream x)
                            throws SQLException

Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String colLb,
                             Reader reader)
                               throws SQLException

Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int colIdx,
                  InputStream inputStream)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String colLb,
                  InputStream inputStream)
                    throws SQLException

Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int colIdx,
                  Reader reader)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String colLb,
                  Reader reader)
                    throws SQLException

Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int colIdx,
                   Reader reader)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String colLb,
                   Reader reader)
                     throws SQLException

Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

Deprecated.

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Deprecated.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(int colIdx,
                  Class<T> type)
                throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String colLb,
                  Class<T> type)
                throws SQLException

Deprecated.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017